<template>
  <nav>
    <ul class="nav nav-fill">
      <li class="nav-item">
        <a class="nav-link active" href="/">Nominas</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="/account"
          >Hola, {{ user.displayName || user.email }}</a
        >
      </li>
      <li class="nav-item">
        <a class="nav-link logout" href="#" @click="logout">Logout</a>
      </li>
    </ul>
  </nav>
</template>

<script>
import { useStore } from "vuex";
import { computed } from "vue";
import { auth } from "../utils/firebase";

export default {
  name: "Menu",

  setup() {
    const store = useStore();
    const user = computed(() => store.state.user);
    const logout = () => auth.signOut();

    return { user, logout };
  },
};
</script>

<style lang="scss" scoped>
.nav {
  background-color: #0e86e9;
}
a {
  color: rgb(252, 252, 252);
  &:hover {
    color: #2bf009;
  }
  font-weight: bold;
}

a.logout {
  &:hover {
    color: rgb(235, 19, 3);
  }
}
</style>
